Invoices | Details

The Invoice Detail end-point can be used to retrieve all specifics of an invoice. Please be aware; some shipments do have multiple invoices.

Request URI

GET https://pluto.cargobase.com/api/1/invoices/`INVOICE_REFERENCE`
Authorization: Token your_token_here

Status codes

StatusDescriptionResolution
200OK--
403Forbiddencheck Authentication token, or status of the Invoice
404Not FoundCheck the Invoice reference

Request Response

Invoice Response categories

The response is divided into 4 possible categories for shippers and providers, these are:

CategoryDefinition
organizationDetails related to the organization, such as WBS Codes or Cost Centers
serviceDetails related to the service, such as freight mode, incoterms or clearance instructions
scheduleDetails related to pickup & delivery timing and locations
financialData related to the invoice itself and the quoted amount
attachmentsList of files related to the invoice, such as invoice PDFs or supporting documents

Invoice > attachments

List of attachments associated with the invoice.

KeyValueDescription
idINTEGERInternal identifier of the attachment
nameSTRINGFile name of the attachment
reference_numberSTRINGReference number for the attachment
file_extensionSTRINGFile extension (e.g., pdf, jpg)
urlSTRINGPath to the file location, typically under /media/

Invoice > organization

Details related to the organization, such as WBS Codes or Cost Centers.

KeyValueDescription
shipment_idSTRINGThe request ID
invoice_referenceSTRINGThe unique identifier of the invoice, generated by Cargobase
provider_invoice_numberSTRINGIdentifier of the invoie, submitted by the provider
invoice_statusSTRINGCurrent status of the invoice, see list for potentiatl status below
invoice_submit_dateSTRINGDate the invoice was submitted
approved_bySTRINGName of the invoice approver
approved_by_emailSTRINGEmail of the invoice approver
shipment_titleSTRINGTitle of the shipment
invoice_locationSTRINGOrganizational unit in Cargobase to which the invoice is assigned
cost_centerSTRINGValue entered in the cost_center field, the shipper might use a custom label for this field and therefore not recognise the term cost_center
custom_field1STRINGValue entered in the custom_field1 field, the shipper might use a custom label for this field and therefore not recognise the term custom_field
reason_codeSTRINGValue entered in the reason_code field, the shipper might use a custom label for this field and therefore not recognise the term reason_code
billed_from_nameSTRINGAddressee of the invoicer
billed_from_addressOBJECTObject containing address details of the sender
billed_to_nameSTRINGAddressee of the recipient
billed_to_addressOBJECTObject containing address details of the recipient
total_invoicesINTEGERNumber of invoices associated with the shipment
good_itemsOBJECTDetails related to the packing list

invoice_status options

StatusDefinition
UnsubmittedA draft invoice, visible to Providers only
Awaiting AuditSubmitted by the provider and now awaiting approval/declination by the shipper
ApprovedAn invoice that was approved and forwarder to the correct payment provider
DeclinedAn invoice that was declined and will need to be resubmitted
CanceledAn invoice that was canceled by the provider before receiving approval
RemovedAn invoice that was removed from contention by the provider, and will not be submitted for approval or payment
Auto removedAn invoie that was automatically removed by the provider and will not be submitted for approval or payment

Invoice > organization > good_items

Details related to the packing list. The good_items object contains limited information related to the actual packing list. Details regarding the 'requested' packing list, can be recovered from the request detail end-point.

KeyValueDescription
requested_total_weightFLOATValue of the total weight of the packing list, as defined by the shipper during the quote request
requested_total_weight_uomSTRINGUnit of Measurement for the total requested weight (either KG or LBS)
actual_total_weightFLOATValue of the total weight of the packing list, as moved and defined by the provider, e.g. the weight the invoice is based on
actual_total_weight_uomSTRINGUnit of Measurement for the total actual weight (either KG or LBS)
request_unitsINTEGERNumber of individual items requested to move
actual_unitsINTEGERNumber of individual items actually moved
actual_good_itemsOBJECTObject with details on individual handling units.
Invoice > organization > good_items > actual_good_items

Details related to the packing list. The good_items object contains limited information related to the actual packing list. Details regarding the 'requested' packing list, can be recovered from the request detail end-point.

KeyValueDescription
handling_unitSTRINGName or identifier of the handling unit (e.g. "box" or "pallet")
lengthFLOATNumber relating to the dimension of the longest horizontal axis
heightFLOATNumber relating to the dimension of the vertical axis
widthFLOATNumebr relating to the dimension of the shortest horizontal axis
m_unitSTRINGRelated to dimensional unit of measurement, either CM or INCH
weightFLOATNumber related to the weight of an individual item
w_unitSTRINGUnit of Measurement for the total requested weight (either KG or LBS)
total_cbmFLOATNumber related to the cumuliative cubic meters of handling units of this type
unit_cbmFLOATNumber related to the cubic meters of an individual handling unit of this type
stackableBOOLEANBoolean to indicate if you can put one of this on top of the other
hazardousBOOLEANBooelan to indicate if the contents are considered hazardous (Subjective ranking)
is_dangerous_goodBOOLEANBoolean to indicate if contents are classified in one of 9 dangerous goods categories (Objective classification)
dangerous_good_valueINTEGERNumber relating to the Dangerous goods category (1 through 9)
crating_requiredBOOLEANBoolean to indicate if crating of the item is requested
crating_required_by_dateSTRINGEnd date by when the crating should be completed before pickup, date in YYYY-MM-DD
other_instructionsSTRINGText from a custom instruction field
additional_informationSTRINGText from a general 'additional information' textarea, can include line break tags <BR>
container_typeSTRINGText refering to the type of container (see Shipment or request details for detailed description)
good_customs_informationOBJECTObject related to manually added customs details (see Shipment or request details for detailed description)

Invoice > service

Basic information related to the service, such as requested freight mode and incoterms.

KeyValueDescription
incotermSTRINGThe requested incoterm
freight_modeSTRINGThe freight mode of the shipment - see freight mode options below
providerSTRINGName of the awarded party
quote_idSTRINGReference number of the selected quote
provider_referenceSTRINGOptional reference to the provider
freight_mode values
  • Air charter
  • Next flight out (NFO)
  • Ocean freight
  • Rail freight
  • Regular air freight
  • Road freight
  • Parcel
  • On board courier (OBC)
  • Custom values, specific to each shipper.

Invoice > schedule

Details related to pickup & delivery timing and locations.

KeyValueDescription
pickup_airport_codeSTRINGIATA Airport code, if identified otherwise null
pickup_airportSTRINGAirport Name, if identified otherwise null
pickup_seaport_codeSTRINGSeaport code, if identified otherwise null
pickup_seaportTYPESeaport name, if identified otherwise null
pickup_streetSTRINGPickup street address
pickup_address_nameSTRINGPickup company name
pickup_stateSTRINGThe pickup State in case of US or Mexico
pickup_zipcodeSTRINGThe pickup postal code
pickup_citySTRINGThe pickup city
pickup_countrySTRINGThe pickup country
quoted_pickup_dateTIMESTAMPQuoted pickup date, format YYYY-MM-DD
quoted_pickup_timeTIMESTAMPQuoted pickup time, format HH:MM
actual_pickup_dateTIMESTAMPQuoted or Updated Pickup date.
actual_pickup_timeTIMESTAMPQuoted or Updated Pickup time.
pickup_timezoneSTRINGTimezone name
pickup_notesSTRINGAdditional pickup notes
pickup_contact_nameSTRINGName of contact person at pickup location
pickup_contact_phoneSTRINGPhone number of contact person at pickup location
pickup_contact_emailSTRINGEmail of contact person at pickup location
pickup_address_typeSTRINGCan be Address, Seaport or Airport
stop1_airportSTRINGAirport Name, if identified otherwise null
stop1_seaport_codeSTRINGSeaport code, if identified otherwise null
stop1_seaportTYPESeaport name, if identified otherwise null
stop1_streetSTRINGDelivery street address
stop1_address_nameSTRINGDelivery company name
stop1_stateSTRINGThe delivery State in case of US or Mexico
stop1_zipcodeSTRINGThe delivery postal code
stop1_citySTRINGThe delivery city
stop1_countrySTRINGThe delivery country
stop1_quoted_delivery_dateTIMESTAMPQuoted delivery date, format YYYY-MM-DD
stop1_quoted_delivery_timeTIMESTAMPQuoted deliverytime, format HH:MM
stop1_actual_delivery_dateTIMESTAMPQuoted or Updated delivery date.
stop1_actual_delivery_timeTIMESTAMPQuoted or Updated delivery time.
stop1_notesSTRINGAdditional delivery notes
stop1_contact_nameSTRINGName of contact person at delivery location
stop1_contact_phoneSTRINGPhone number of contact person at delivery location
stop1_contact_emailSTRINGEmail of contact person at delivery location
stop1_address_typeSTRINGCan be Address, Seaport or Airport
pod_dateSTRINGDate of delivery
pod_signed_bySTRINGName of person who signed for the POD

Invoice > financial

Customs details per good item. This category is a child of a handling unit within category Good items.

KeyValueDescription
currencySTRINGCurrency of the invoice
quoted_amountFLOATAmount of the original quote, before moving the shipment
amount_dueFLOATAmount to be paid, for this invoice
total_invoiced_amountFLOATTotal amount of all invoices for this shipment (Will be different from amount_due in case of multiple invoices)
cost_detailsOBJECTArray with individual line items
Invoice > financial > cost_details

Details related to the line items of the invoice.

KeyValueDescription
titleSTRINGName of the line item, can be a financial item or other classifier
valueSTRINGString refering to a financial number, or in other case related to weight
UOMSTRINGIn case of a weight related line item, can be either "KG" or "LBS"
currencySTRINGIn case of a financial line item, will be the common 3 letter currency acronym
sub_titleSTRINGSome additional information, mostly for weighted charges, e.g. '4 USD per Kg'

Known issues

  • None at the moment
Language
Response
Click Try It! to start a request and see the response here!